"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var useTimeoutFn_1 = require("@src/functions/useTimeoutFn");
var noop = function () { return null; };
function useTimeout(ms, runOnMount) {
    if (ms === void 0) { ms = 0; }
    if (runOnMount === void 0) { runOnMount = true; }
    var _a = useTimeoutFn_1.useTimeoutFn(noop, ms, runOnMount), isReady = _a.isReady, start = _a.start, stop = _a.stop;
    return { isReady: isReady, start: start, stop: stop };
}
exports.useTimeout = useTimeout;
